Index: trunk/packages/invirt-console-host/debian/changelog
===================================================================
--- trunk/packages/invirt-console-host/debian/changelog	(revision 1197)
+++ trunk/packages/invirt-console-host/debian/changelog	(revision 1198)
@@ -1,2 +1,10 @@
+invirt-console-host (0.0.2) unstable; urgency=low
+
+  * make initscript start conserver on start/restart, not just reload
+  * drastically shorten initscript to current Invirt best practice,
+    in hopes that such dumb bugs can't hide so easily
+
+ -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 03:33:32 -0400
+
 invirt-console-host (0.0.1) unstable; urgency=low
 
Index: trunk/packages/invirt-console-host/debian/invirt-console-host.init
===================================================================
--- trunk/packages/invirt-console-host/debian/invirt-console-host.init	(revision 1197)
+++ trunk/packages/invirt-console-host/debian/invirt-console-host.init	(revision 1198)
@@ -6,26 +6,14 @@
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
-# Short-Description: conserver config from invirt config for invirt host
+# Short-Description: conserver config from invirt-config for Invirt host
 # Description:       
 ### END INIT INFO
 
-# Author: Invirt/XVM Project, MIT SIPB <invirt@mit.edu>
+PACKAGE=invirt-console-host
+PARENTPACKAGE=conserver-server
 
-# Do NOT "set -e"
+dpkg -s "$PACKAGE" >/dev/null 2>/dev/null || exit 0
 
-# PATH should only include /usr/* if it runs after the mountnfs.sh script
-PATH=/sbin:/usr/sbin:/bin:/usr/bin
-DESC="Invirt host console config"
-NAME=invirt-console-host
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Read configuration variable file if it is present
-[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-
-# Load the VERBOSE setting and other rcS variables
 . /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
 . /lib/lsb/init-functions
 
@@ -37,76 +25,16 @@
 }
 
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-	# Return
-	#   0 if daemon has been started
-	#   1 if daemon was already running
-	#   2 if daemon could not be started
-	gen_config
-	VERBOSE=no /etc/init.d/conserver-server reload
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-	return 1
-}
-
-do_reload()
-{
-	gen_config
-	VERBOSE=no /etc/init.d/conserver-server reload
-}
-
 case "$1" in
-  start)
-	[ "$VERBOSE" != no ] && log_begin_msg "Starting $DESC" "$NAME"
-	do_start
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
+  start|reload|force-reload|restart)
+    log_begin_msg "Reloading config for $PACKAGE"
+    gen_config
+    log_end_msg $?
+    /etc/init.d/"$PARENTPACKAGE" "$1"
+    ;;
   stop)
-	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
-	do_stop
-	case "$?" in
-		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
-		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
-	esac
-	;;
-  reload|force-reload)
-	log_daemon_msg "Reloading $DESC" "$NAME"
-	do_reload
-	log_end_msg $?
-	;;
-  restart)
-	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
+    /etc/init.d/"$PARENTPACKAGE" "$1"
+    ;;
   *)
-	echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
-	exit 3
-	;;
+    log_success_msg "Usage: /etc/init.d/$PACKAGE {start|reload|force-reload|restart|stop}"
+    ;;
 esac
-
-:
